Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8017 - old bugs refuse to die
Summary: old bugs refuse to die
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-libs
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-27 21:08 UTC by michal
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-03 20:43:35 UTC


Attachments (Terms of Use)
fix for an incorrect access to time structures (mostly Alpha) (deleted)
1999-12-27 21:10 UTC, michal
no flags Details | Diff

Description michal 1999-12-27 21:08:37 UTC
Source rpm for gnome-libs-1.0.54  __still__ includes the following
juicy fragment in 'ltconfig':

check_shared_deplibs_method='file_magic ELF 32-bit LSB shared object'

which is obviously wrong (this was reported quite a while ago
to Gnome development).  Moreover spec file __still__ forgets to
include manual pages gnome-config.1, gnome.1 and gnome-mime.5.

On the top of it a long standing mistake in types which is causing
"unaligned access" reports on Alpha is still there.  An often repeated
patch for that is attached.

Michal
michal@harddata.com

Comment 1 michal 1999-12-27 21:10:59 UTC
Created attachment 45 [details]
fix for an incorrect access to time structures (mostly Alpha)

Comment 2 Havoc Pennington 2000-02-03 20:43:59 UTC
Fixed the man pages and applied the time(NULL) patch.
No idea on the ltconfig thing, don't know how to fix it, and
it seems to work on Alpha here. In any case it's a libtool bug,
ltconfig is just copied from the system libtool install.


Note You need to log in before you can comment on or make changes to this bug.